Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.jvm
Class JVMServerILService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.mq.il.ServerILJMXService
                  org.jboss.mq.il.jvm.JVMServerILService

All Implemented Interfaces:
  JVMServerILServiceMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, ServerILJMXServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class JVMServerILService
extends ServerILJMXService
implements JVMServerILServiceMBean

Implements the ServerILJMXService which is used to manage the JVM IL.

Version:
  $Revision: 1.14 $
Author:
  Hiram Chirino (Cojonudo14@hotmail.com), David Maplesden (David.Maplesden@orion.co.nz)

Field Summary

Fields inherited from class org.jboss.mq.il.ServerILJMXService
`clientID, connectionFactoryJNDIRef, pingPeriod, xaConnectionFactoryJNDIRef`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`JVMServerILService()`

Method Summary
`void` | `bindJNDIReferences()` Binds the connection factories for this IL
`Properties` | `getClientConnectionProperties()` Used to construct the GenericConnectionFactory (bindJNDIReferences() builds it) Sets up the connection properties need by a client to use this IL
`String` | `getName()` Gives this JMX service a name.
`ServerIL` | `getServerIL()` Used to construct the GenericConnectionFactory (bindJNDIReferences() builds it)
`void` | `startService()` Starts this IL, and binds it to JNDI
`void` | `stopService()` Stops this IL, and unbinds it from JNDI

Methods inherited from class org.jboss.mq.il.ServerILJMXService
`getClientID, getConnectionFactoryJNDIRef, getJBossMQService, getPingPeriod, getXAConnectionFactoryJNDIRef, lookupJMSServer, rebind, setClientID, setConnectionFactoryJNDIRef, setInvoker, setPingPeriod, setXAConnectionFactoryJNDIRef, unbindJNDIReferences`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.mq.il.ServerILJMXServiceMBean
`getClientID, getConnectionFactoryJNDIRef, getJBossMQService, getPingPeriod, getXAConnectionFactoryJNDIRef, setClientID, setConnectionFactoryJNDIRef, setInvoker, setPingPeriod, setXAConnectionFactoryJNDIRef`

Methods inherited from interface org.jboss.system.ServiceMBean
`getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### JVMServerILService

    public JVMServerILService()

Method Detail

### getName

    public String getName()

  Gives this JMX service a name.

  Specified by:
    `getName` in interface `org.jboss.system.ServiceMBean`
  Returns:
    The Name value

### getServerIL

    public ServerIL getServerIL()

  Used to construct the GenericConnectionFactory (bindJNDIReferences() builds it)

  Specified by:
    `getServerIL` in class `ServerILJMXService`
  Returns:
    The ServerIL value

### getClientConnectionProperties

    public Properties getClientConnectionProperties()

  Used to construct the GenericConnectionFactory (bindJNDIReferences() builds it) Sets up the connection properties need by a client to use this IL

  Overrides:
    `getClientConnectionProperties` in class `ServerILJMXService`
  Returns:
    The ClientConnectionProperties value

### startService

    public void startService()
                      throws Exception

  Starts this IL, and binds it to JNDI

  Overrides:
    `startService` in class `ServerILJMXService`
  Throws:
    `Exception` - Description of Exception

### stopService

    public void stopService()

  Stops this IL, and unbinds it from JNDI

  Overrides:
    `stopService` in class `ServerILJMXService`

### bindJNDIReferences

    public void bindJNDIReferences()
                            throws NamingException

  Binds the connection factories for this IL

  Overrides:
    `bindJNDIReferences` in class `ServerILJMXService`
  Throws:
    `NamingException` - it cannot be unbound

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.